Subject: [dhcwg] IESG feedback on draft-ietf-dhc-csr-05.txt

From: Thomas Narten <[email-masked]>
Date: Fri, 01 Feb 2002 11:28:43 -0500

The authors have seen most of these already, but I thought it
appropriate for the WG to see them as well. The first one, in
particular, we should have caught ourselves!

Once these issues are addressed, I expect the IESG will approve the
document in short order. (The next IESG telechat is next Thursday, so
it would be nice to have a new ID in place by then!)

> Security Considerations
>
>    DHCP currently provides no authentication or security mechanisms.

What about RFC 3118?

> 1. The document uses "classed" to refer to non-classless addresses.
> In my experience, "Classful" is a much more common term (e.g. RFC 1817's
> title, and a grep for "classed" in all RFCs vs. a grep for "classful".)
> 
> 2. It's not completely clear what "supersedes" in the abstract means.
> Does this document obsolete option 33?  It should probably say "Updates
> RFC2132"?  Also, mentioning Classless vs. Classful in the abstract
> would probably be appropriate, and I always think that "new" or "old"
> in abstracts end up out of date too quickly - how about this replacement
> wording:
> 
>    This document defines a DHCP option which is passed from the DHCP
>    Server to the DHCP Client to configure a list of classless static
>    routes in the client.  This option should be used instead of the
>    classful Static Route option (option 33) defined in RFC2132.
> 
> 3. The IANA Considerations section is missing an "of" in "..the list DHCP
> option codes.."

Thomas

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Bernie Volz (EUD)" <[email-masked]>
Date: Fri, 1 Feb 2002 11:04:36 -0600

>>    DHCP currently provides no authentication or security mechanisms.

Yeah, we should have caught that ... but then this (and several other drafts) have
been in process for a long while (before RFC 3118). And, one must be careful about
referencing I-Ds since that can sometimes cause issues as well.

- Bernie

-----Original Message-----
From: Thomas Narten [mailto:[email-masked]]
Sent: Friday, February 01, 2002 11:29 AM
To: [email-masked]
Subject: [dhcwg] IESG feedback on draft-ietf-dhc-csr-05.txt

What about RFC 3118?

Thomas